require "rails_helper"

RSpec.describe StockChecksController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/stock_checks").to route_to("stock_checks#index")
    end

    it "routes to #new" do
      expect(:get => "/stock_checks/new").to route_to("stock_checks#new")
    end

    it "routes to #show" do
      expect(:get => "/stock_checks/1").to route_to("stock_checks#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/stock_checks/1/edit").to route_to("stock_checks#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/stock_checks").to route_to("stock_checks#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/stock_checks/1").to route_to("stock_checks#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/stock_checks/1").to route_to("stock_checks#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/stock_checks/1").to route_to("stock_checks#destroy", :id => "1")
    end

  end
end
